aim4.vehicle

## Enum AutoVehicleDriverView.LRFMode

- java.lang.Object
- - java.lang.Enum<AutoVehicleDriverView.LRFMode>
  - - aim4.vehicle.AutoVehicleDriverView.LRFMode

- All Implemented Interfaces:
    Serializable, Comparable<AutoVehicleDriverView.LRFMode>
  Enclosing interface:
    AutoVehicleDriverView

      public static enum AutoVehicleDriverView.LRFMode
      extends Enum<AutoVehicleDriverView.LRFMode>

  Potential operating modes for a vehicle's laser range finder. These are used to ensure that the intersection simulator doesn't have to simulate sensor inputs if they are not going to be used by the driver agent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` The laser range finder is completely turned off
    `ENABLED` The laser range finder is operating at full capacity, limited only by the sensor angle limits and sensor range limits
    `LIMITED` The laser range finder only tracks the nearest point on the Vehicle in front of this Vehicle

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutoVehicleDriverView.LRFMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AutoVehicleDriverView.LRFMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final AutoVehicleDriverView.LRFMode DISABLED

      The laser range finder is completely turned off

    - #### LIMITED

          public static final AutoVehicleDriverView.LRFMode LIMITED

      The laser range finder only tracks the nearest point on the Vehicle in front of this Vehicle

    - #### ENABLED

          public static final AutoVehicleDriverView.LRFMode ENABLED

      The laser range finder is operating at full capacity, limited only by the sensor angle limits and sensor range limits

  - ### Method Detail

    - #### values

          public static AutoVehicleDriverView.LRFMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoVehicleDriverView.LRFMode c : AutoVehicleDriverView.LRFMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoVehicleDriverView.LRFMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.